#include <stdio.h>
#include <stdlib.h>
#define MAX 100000

int main()
{
    int niz[MAX],n,i,zamena,p,j,kraj;
    scanf("%d",&n);
    for(i = 0; i<n; i++){
        printf("\n niz[%d] = ",i);
        scanf("%d",&niz[i]);
    }
    j = 0;
    do{
        int max = niz[j];
        for(i=j+1; i<n; i++){
            if(max<=niz[i]){
            max = niz[i];
            p = i;
            }
        }
        if(max != niz[j]){
            zamena = niz[p];
            niz[p] = niz[j];
            niz[j] = zamena;
            kraj = 1;
        }
        j++;
    }while(kraj != 1 && j<n-1);
    if(j==n-1){
        kraj = 0;
    }
    if(j=n-1 && kraj == 0){
        zamena = niz[n-2];
        niz[n-2] = niz[n-1];
        niz[n-1] = zamena;
    }
    for(i=0; i<n; i++){
        printf("%d ",niz[i]);
    }
}